# 更新Webhook版本

更新项目的Webhook版本。版本2会在items数组中包含额外参数。

有关Webhook的更多信息，请参阅设置订单状态跟踪。

Endpoint: PUT /v2/project/{project_id}/admin/webhook/version
Version: 2.0.0
Security: basicAuth

## Path parameters:

  - `project_id` (integer, required)
    项目ID。您可以在发布商帐户的项目名称旁找到此参数；使用项目时，也可以在浏览器地址栏中找到此参数。URL格式如下：https://publisher.xsolla.com//projects/。
    Example: 44056

## Request fields (application/json):

  - `version` (integer, required)
    Webhook版本。默认使用版本1。在版本2中，items数组包含以下参数：is_free、is_bonus和is_bundle_content。
    Enum: 1, 2

## Response 401 fields (application/json):

  - `statusCode` (integer)
    Example: 401

  - `errorCode` (integer)
    Example: 1020

  - `errorMessage` (string)
    Example: "[0401-1020]: Error in Authentication method occurred"

## Response 422 fields (application/json):

  - `statusCode` (number)
    响应状态代码。
    Example: 422

  - `errorCode` (number)
    错误代码。
    Example: 1102

  - `errorMessage` (string)
    可读的错误消息。
    Example: "[0401-1102]: Unprocessable Entity"

  - `errorMessageExtended` (array)
    验证错误详情。包含属性级错误数组，用于说明哪些字段未通过验证及原因。

  - `errorMessageExtended.property` (string)
    未通过验证的字段名称。
    Example: "external_id"

  - `errorMessageExtended.message` (string)
    字段的验证错误消息。
    Example: "The property external_id is required"

  - `transactionId` (string)
    唯一请求ID。联系艾克索拉支持团队进行故障排查时可提供此ID。
    Example: "da145238620011eb8e24fe6913ff226a"


## Response 204 fields
